package dev.shadowsoffire.apotheosis.ench.table;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.ench.table.ApothEnchantmentMenu;

public enum Arcana {
  EMPTY(0.0F, new int[] { 10, 5, 2, 1 }),
  LITTLE(10.0F, new int[] { 8, 5, 3, 1 }),
  FEW(20.0F, new int[] { 7, 5, 4, 2 }),
  SOME(30.0F, new int[] { 5, 5, 4, 2 }),
  LESS(40.0F, new int[] { 5, 5, 4, 3 }),
  MEDIUM(50.0F, new int[] { 5, 5, 5, 5 }),
  MORE(60.0F, new int[] { 3, 4, 5, 5 }),
  VALUE(70.0F, new int[] { 2, 4, 5, 5 }),
  EXTRA(80.0F, new int[] { 2, 4, 5, 7 }),
  ALMOST(90.0F, new int[] { 1, 3, 5, 8 }),
  MAX(99.0F, new int[] { 1, 2, 5, 10 });
  
  final float threshold;
  
  final int[] rarities;
  
  static Arcana[] VALUES;
  
  Arcana(float threshold, int... rarities) {
    this.threshold = threshold;
    this.rarities = rarities;
  }
  
  static {
    VALUES = values();
  }
  
  public int[] getRarities() {
    return this.rarities;
  }
  
  public static Arcana getForThreshold(float threshold) {
    for (int i = VALUES.length - 1; i >= 0; i--) {
      if (threshold >= (VALUES[i]).threshold)
        return VALUES[i]; 
    } 
    return EMPTY;
  }
}
